org.apache.commons.jelly.tags.xml

## Class CommentTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.xpath.XPathTagSupport
    - - org.apache.commons.jelly.tags.xml.CommentTag

All Implemented Interfaces:
  Tag

    public class CommentTag
    extends XPathTagSupport

A tag which outputs a comment to the underlying XMLOutput based on the contents of its body.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`CommentTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getText()` Returns the text.
`void` `setText(java.lang.String text)` Sets the comment text.

### Methods inherited from class org.apache.commons.jelly.xpath.XPathTagSupport

`getXPathContext`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommentTag

    public CommentTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### getText

    public java.lang.String getText()

Returns the text.

Returns:
  String

#### setText

    public void setText(java.lang.String text)

Sets the comment text. If no text is specified then the body of the tag is used instead.

Parameters:
  `text` - The comment text to use